Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.ognl.accessor
Class XWorkMethodAccessor

    java.lang.Object
      ognl.ObjectMethodAccessor
          com.opensymphony.xwork2.ognl.accessor.XWorkMethodAccessor

All Implemented Interfaces:
  ognl.MethodAccessor

    public class XWorkMethodAccessor

extends ognl.ObjectMethodAccessor

Allows methods to be executed under normal cirumstances, except when `ReflectionContextState.DENY_METHOD_EXECUTION` is in the action context with a value of true.

Author:
  Patrick Lightbody, tmjee

Field Summary
`static String` | `DENY_INDEXED_ACCESS_EXECUTION` Deprecated. Use `ReflectionContextState.DENY_INDEXED_ACCESS_EXECUTION` instead
`static String` | `DENY_METHOD_EXECUTION` Deprecated. Use `ReflectionContextState.DENY_METHOD_EXECUTION` instead

Constructor Summary
`XWorkMethodAccessor()`

Method Summary
`Object` | `callMethod(Map context, Object object, String string, Object[] objects)`
`Object` | `callStaticMethod(Map context, Class aClass, String string, Object[] objects)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DENY_METHOD_EXECUTION

    @Deprecated
    public static final String DENY_METHOD_EXECUTION

  Deprecated. Use `ReflectionContextState.DENY_METHOD_EXECUTION` instead
  See Also:
    Constant Field Values

### DENY_INDEXED_ACCESS_EXECUTION

    @Deprecated
    public static final String DENY_INDEXED_ACCESS_EXECUTION

  Deprecated. Use `ReflectionContextState.DENY_INDEXED_ACCESS_EXECUTION` instead
  See Also:
    Constant Field Values

Constructor Detail

### XWorkMethodAccessor

    public XWorkMethodAccessor()

Method Detail

### callMethod

    public Object callMethod(Map context,
                             Object object,
                             String string,
                             Object[] objects)
                      throws ognl.MethodFailedException

  Specified by:
    `callMethod` in interface `ognl.MethodAccessor`
  Overrides:
    `callMethod` in class `ognl.ObjectMethodAccessor`
  Throws:
    `ognl.MethodFailedException`

### callStaticMethod

    public Object callStaticMethod(Map context,
                                   Class aClass,
                                   String string,
                                   Object[] objects)
                            throws ognl.MethodFailedException

  Specified by:
    `callStaticMethod` in interface `ognl.MethodAccessor`
  Overrides:
    `callStaticMethod` in class `ognl.ObjectMethodAccessor`
  Throws:
    `ognl.MethodFailedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.